CP(1)

NIMI
cp - copy files and directories

YLEISKATSAUS
cp [VALITSIN]... [-T] LÄHDE KOHDE
cp [VALITSIN]... LÄHDE... HAKEMISTO
cp [VALITSIN]... -t HAKEMISTO LÄHDE...

KUVAUS

Kopioi LÄHDE KOHTEEseen, tai useita LÄHTEitä HAKEMISTOon.

Pitkien valitsinten pakolliset argumentit ovat pakollisia myös lyhyille.

-a, --archive
    sama kuin -dR --preserve=all

--attributes-only
    don't copy the file data, just the attributes

--backup[=MENETELMÄ]
    varmuuskopioi jokainen olemassaoleva kohdetiedosto

-b  kuten --backup, mutta ilman argumenttia

--copy-contents
    kopioi erikoistiedostojen sisältö rekursiota käytettäessä

-d  sama kuin --no-dereference --preserve=links

--debug
    explain how a file is copied. Implies -v

-f, --force
    jos olemassaolevaa kohdetiedostoa ei voi avata, poista se ja yritä uudelleen (tarpeeton valitsinta -n käytettäessä)

-i, --interactive
    kysy ennen korvaamista (kumoaa aiemman -n-valitsimen)

-H  seuraa komentorivillä annettuja LÄHTEEN symbolisia linkkejä

-l, --link
    linkitä tiedostot kopioinnin sijaan

-L, --dereference
    seuraa aina LÄHTEEN symbolisia linkkejä

-n, --no-clobber
    (deprecated) silently skip existing files. See also --update

-P, --no-dereference
    älä koskaan seuraa LÄHTEEN symlinkkejä

-p  sama kuin --preserve=mode,ownership,timestamps

--preserve[=OMIN.LUETT]
    preserve the specified attributes

--no-preserve=OMIN.LUETT
    älä säilytä annettuja ominaisuuksia

--parents
    lisää lähdepolku HAKEMISTOon

-R, -r, --recursive
    kopioi hakemistot rekursiivisesti

--reflink[=MILLOIN]
    control clone/CoW copies. See below

--remove-destination
    poista kukin olemassaoleva kohdetiedosto ennen avausyritystä (vertaa valitsimeen --force)

--sparse=MILLOIN
    control creation of sparse files. See below

--strip-trailing-slashes
    poista /-merkit jokaisen LÄHDEargumentin perästä

-s, --symbolic-link
    tee symbolisia linkkejä kopioinnin sijaan

-S, --suffix=JÄLKILIITE
    syrjäytä tavanomainen varmuuskopion jälkiliite

-t, --target-directory=HAKEMISTO
    siirrä kaikki LÄHDE-argumentit HAKEMISTOon

-T, --no-target-directory
    käsittele KOHDE normaalina tiedostona

--update[=UPDATE]
    control which existing files are updated; UPDATE={all,none,none-fail,older(default)}.

-u  equivalent to --update[=older]. See below

-v, --verbose
    selitä mitä tapahtuu

--keep-directory-symlink
    follow existing symlinks to directories

-x, --one-file-system
    pysy tässä tiedostojärjestelmässä

-Z  asettaa SELinux-suojauskontekstin määränpäähän tiedosto oletustyyppiin

--context[=CTX]
    kuten -Z, tai jos CTX on määritetty, aseta SELinux- tai SMACK-suojauskonteksti CTX:ään

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

ATTR_LIST is a comma-separated list of attributes. Attributes are 'mode' for permissions (including any ACL and xattr permissions), 'ownership' for user and group, 'timestamps' for file timestamps, 'links' for hard links, 'context' for security context, 'xattr' for extended attributes, and 'all' for all attributes.

Hajanaiset LÄHDEtiedostot tunnistetaan oletuksena karkealla heuristiikalla, ja vastaavasta KOHDEtiedostosta tehdään myös hajanainen. Tämän käyttäytymisen valitsee --sparse=auto. Antamalla valitsin --sparse=always luodaan hajanainen KOHDEtiedosto aina, kun LÄHDE sisältää riittävän pitkän sarjan 0-tavuja. Valitsin --sparse=never estää hajanaisten tiedostojen luomisen.

UPDATE controls which existing files in the destination are replaced. 'all' is the default operation when an --update option is not specified, and results in all existing files in the destination being replaced. 'none' is like the --no-clobber option, in that no files in the destination are replaced, and skipped files do not induce a failure. 'none-fail' also ensures no files are replaced in the destination, but any skipped files are diagnosed and induce a failure. 'older' is the default operation when --update is specified, and results in files being replaced if they're older than the corresponding source file.

When --reflink[=always] is specified, perform a lightweight copy, where the data blocks are copied only when modified. If this is not possible the copy fails, or if --reflink=auto is specified, fall back to a standard copy. Use --reflink=never to ensure a standard copy is performed.

Varmuuskopion jälkiliite on ”~”, ellei muuta ole asetettu valitsimella --suffix tai ympäristömuuttujalla SIMPLE_BACKUP_SUFFIX. Versionhallintamenetelmän voi valita käyttäen valitsinta --backup tai ympäristömuuttujaa VERSION_CONTROL. Arvot ovat seuraavat:

none, off
    älä varmuuskopioi koskaan (vaikka --backup olisi annettu)

numbered, t
    tee numeroituja varmuuskopioita

existing, nil
    numeroituja jos sellaisia on jo olemassa, muuten yksinkertaisia

simple, never
    tee aina yksinkertaisia varmuuskopiota

Erikoistapaus: cp tekee varmuuskopion LÄHTEestä, jos --force- ja --backup- valitsimet on annettu, ja LÄHDE ja KOHDE ovat sama nimi olemassaolevalle tavalliselle tiedostolle.

TEKIJÄ
Kirjoittaneet Torbjorn Granlund, David MacKenzie ja Jim Meyering.

VIRHEISTÄ ILMOITTAMINEN
GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

TEKIJÄNOIKEUDET
Copyright © 2024 Free Software Foundation, Inc. Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen. Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KATSO MYÖS
install(1)

Koko dokumentaatio: <https://www.gnu.org/software/coreutils/cp>
tai saatavilla paikallisesti: info '(coreutils) cp invocation'

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Marko Viirelä <mviirela@paju.oulu.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.